Package org.springframework.security.web.access.channel

# Class RetryWithHttpEntryPoint

java.lang.Object
org.springframework.security.web.access.channel.AbstractRetryEntryPoint
org.springframework.security.web.access.channel.RetryWithHttpEntryPoint

All Implemented Interfaces:
  `ChannelEntryPoint`

public class RetryWithHttpEntryPoint extends AbstractRetryEntryPoint
Commences an insecure channel by retrying the original request using HTTP.

This entry point should suffice in most circumstances. However, it is not intended to properly handle HTTP POSTs or other usage where a standard redirect would cause an issue.

## Field Summary

### Fields inherited from class org.springframework.security.web.access.channel.AbstractRetryEntryPoint

`logger`

## Constructor Summary

Constructors
Constructor
Description
`RetryWithHttpEntryPoint()`

## Method Summary

Modifier and Type
Method
Description
`protected Integer`
`getMappedPort(Integer mapFromPort)`

### Methods inherited from class org.springframework.security.web.access.channel.AbstractRetryEntryPoint

`commence, getPortMapper, getPortResolver, getRedirectStrategy, setPortMapper, setPortResolver, setRedirectStrategy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RetryWithHttpEntryPoint

public RetryWithHttpEntryPoint()

## Method Details

### getMappedPort

protected Integer getMappedPort(Integer mapFromPort)

Specified by:
  `getMappedPort` in class `AbstractRetryEntryPoint`